<?xml version="1.0" ?>
<!DOCTYPE sml SYSTEM "sml.dtd">

<sml name="knee">
    <units length="dm" mass="kg" time="s"/>

    <mesh id="mesh_tibia">
        <source format="obj">Right_tibia.obj</source>
        <group id="contact_femur">
            <index>
                65 68 90 93 95 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 251 252 253 254 255 256 257 258 259 260 261 262 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 831 836 838 842 845 846 847 848 849 910 911 913 915 916 917 918 919 920 921 928 929 930 931 932 933 934 935 936 
937 938 939 940 941 946 947 952 953 954 955 956 957 958 959 960 961 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1261 1262 1263 1264 1265 1266 1267 1268 1269 1270 1271 1272 1273 1274 1275 1276 1277 1278 1279 1280 1281 1282 1283 1284 1285 1286 1287 1288 1289 1290 1291 1292 1293 1294 1295 1296 1297 1298 1299 1300 1301 1302 1309 1314 1315 1316 1317 1318 1319 1320 1321 1322 1354 1355 1357 1358 1359 1360 5098 5099 5100 5104 5105 5107 5108 5109 5114 5115 5117 5119 5120 5121 5122 5123 5124 5125 5126 5127 5128 5129 5130 5131 5132 5133 5134 5135 5136 5137 5138 5139 5140 5141 5142 5143 5144 5145 5146 5147 5148 5149 5151 5152 5153 5154 5155 5156 5157 5159 5161 5162 5164 5165 5166 5167 5168 5169 5170 5171 5172 5173 5174 5175 5176 5177 6867 6868 6869 6870 6871 6872 6873 6874 6875 6876 6877 6878 6880 6882 6883 6884 6885 6886 6906 6907 6908 6909 6910 6911 6912 6913 6914 6915 
6916 6917 6918 6919 6920 6921 6922 6923 6924 6925 6926 6927 6928 6929 6930 6931 6932 6933 6934 6935 6936 6937 6938 
            </index>
        </group>
    </mesh>

    <mesh id="mesh_femur">
        <source format="obj">Right_femur.obj</source>
        <group id="contact_tibia">
            <index>
	        289 290 291 296 298 299 300 301 302 303 304 305 306 307 332 333 334 335 337 338 339 340 922 923 924 925 927 930 932 940 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 970 971 972 973 974 975 976 977 1514 1649 1650 1651 1652 1653 1654 1655 1656 1657 1658 1659 1660 1661 1662 1663 1670 1671 1672 1673 1674 1675 1676 1677 1678 1679 1680 1681 1682 1683 1684 1685 1686 1687 1688 1689 1690 1691 1692 1693 1694 1695 1696 1697 1698 1699 1700 1701 1702 1703 1704 1705 1706 1707 1708 1709 1731 1734 1738 1742 1744 1756 1757 1758 1759 1760 1761 1762 1763 1764 1765 1766 1767 1768 1769 1770 1771 1772 1773 1774 1775 1776 1777 1778 1779 1781 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 1836 1837 1838 1839 1840 1841 1842 1843 1844 1845 1846 1847 1848 1849 1850 1851 1852 1853 1854 1855 1856 1857 1858 1859 1860 1861 1862 1863 1864 
1865 1866 1867 1868 1869 1870 1871 1872 1873 1874 1875 1876 1877 1878 1879 1880 1881 1882 1883 1885 1886 1887 1888 1889 1890 1891 1892 1893 1895 1896 1897 1898 2037 2038 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2284 2285 2287 2887 2912 2915 2916 2917 2918 2919 2920 2921 2922 2923 2924 
2925 2926 2927 2928 2929 2930 2931 2932 2933 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 2962 2963 2964 2965 2967 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 3044 3045 3046 3048 12480 12481 12484 12485 12491 12493 12496 12507 12508 12509 12510 12511 12512 12513 12514 12515 12516 12517 12518 12519 12520 12521 12522 12523 12524 12525 12526 12527 12528 12529 12530 12531 12532 12533 12534 12535 12536 12537 12538 12539 12540 12541 12542 12543 12544 12545 12546 12547 12548 12549 12550 12551 12552 12553 12554 12555 12556 12557 12558 12559 12560 12561 12562 12563 12564 12565 12566 12567 12568 12569 12570 12571 12572 12573 12574 12575 12576 12577 12578 12579 12580 12581 12582 12583 12584 12585 12586 12587 12588 12589 12590 12591 12592 12593 12594 12595 12596 12597 12598 12599 12600 12601 12602 12603 12604 12605 12606 12607 12608 
12609 12610 12623 12624 12625 12626 12627 12628 12629 12630 12631 12632 12633 12634 12635 12636 12637 12638 12639 12640 12641 12642 12643 12644 12645 12646 12647 12648 12649 12650 12651 12652 12653 12654 12655 12656 12657 12658 12659 12660 12661 12662 12663 12664 12665 12666 12667 12668 12669 12670 12671 12672 12673 12674 12675 12676 12677 12678 12679 12680 12681 12682 12683 12684 12685 12686 12687 12688 12689 12690 12691 12692 12693 12694 12695 12696 12697 12698 12699 12700 12701 12702 12703 12704 12705 12709 12710 12723 12725 12734 12822 12823 12824 12825 12827 12828 12829 12830 12834 12835 12836 12837 12838 12839 12840 12841 12842 12843 12844 12845 12846 12847 12848 12849 12850 12851 12852 12853 12854 12857 12858 12865 12866 12867 12868 12869 12870 12871 12872 12873 12874 12875 12876 12877 12878 12879 12880 12881 12882 12883 12884 12885 12886 12887 12888 12889 12890 12893 12898 12899 12900 12901 12902 12903 12904 12905 12906 12907 12908 12909 12910 12911 12912 12913 12914 12915 12916 12917 12918 12919 
12920 12921 12961 12962 12963 12964 12965 12966 12967 12968 12969 12979 12980 12981 12982 12983 12984 12985 12986 12987 12997 12998 12999 13000 13001 13002 13012 13013 13014 13015 13016 13017 13018 13019 13020 13021 13022 13023 13024 13025 13026 13027 13028 13029 13030 13031 13032 13033 13034 13035 13043 13044 13045 13046 13047 13048 13049 13050 13051 13052 13053 13054 13123 13124 13126 
            </index>
        </group>
    </mesh>

    <solid id="tibia_01">
        <position>0 0 0 0 0 0 1</position>
        <tag>rigid</tag>
        <mesh id="mesh_tibia" />
        <density>1</density>
    </solid>
    
    <solid id="tibia_02">
        <position>0 0 0 0 0 0 1</position>
        <tag>rigid</tag>
        <mesh id="mesh_tibia" />
        <density>1</density>
    </solid>

    <solid id="femur">
        <position>0 0 0 0 0 0 1</position>
        <tag>rigid</tag>
        <mesh id="mesh_femur" />
        <density>1</density>
    </solid>

    <surfaceLink id="tibia_femur_01">
        <tag>sliding</tag>
        <surface solid="tibia_01" mesh="mesh_tibia" group="contact_femur" />
        <surface solid="femur" mesh="mesh_femur" group="contact_tibia" />
    </surfaceLink>
    
    <surfaceLink id="tibia_femur_02">
        <tag>sliding</tag>
        <surface solid="tibia_02" mesh="mesh_tibia" group="contact_femur" />
        <surface solid="femur" mesh="mesh_femur" group="contact_tibia" />
    </surfaceLink>

</sml>
